Forum: Ruby gem -v reveals this error

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
4270ecde85fc2ee2359e6fee10a1864c?d=identicon&s=25 Edward Bender (ebender001)
on 2014-03-27 23:54
I'm trying to install Cocoapods on Mac OSX Mavericks, and I get the
following error (reproduced with just checking gem -v):

Edwards-Mac-Pro:~ ebender$ gem -v
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/psych.rb:205:in
`parse': (<unknown>): could not find expected ':' while scanning a
simple key at line 2 column 1 (Psych::SyntaxError)
  from
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/psych.rb:205:in
`parse_stream'
  from
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/psych.rb:153:in
`parse'
  from
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/psych.rb:129:in
`load'
  from
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/config_file.rb:318:in
`load_file'
  from
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/config_file.rb:191:in
`initialize'
  from
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/gem_runner.rb:66:in
`new'
  from
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/gem_runner.rb:66:in
`do_configuration'
  from
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/gem_runner.rb:46:in
`run'
  from /usr/bin/gem:21:in `<main>'


Here is my ruby -v:
ruby -v
ruby 2.0.0p247 (2013-06-27 revision 41674) [universal.x86_64-darwin13]

Any help appreciated.
This topic is locked and can not be replied to.